pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/pkgtools/pkg_regress Move invocation of make into a do...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/6f42b1fa2f96
branches:  trunk
changeset: 493472:6f42b1fa2f96
user:      gavan <gavan%pkgsrc.org@localhost>
date:      Sat May 07 15:45:59 2005 +0000

description:
Move invocation of make into a do_test_default, and provide overridable
function do_test, which by default just invokes do_test_default.

For jlam's overriding pleasure.

diffstat:

 pkgtools/pkg_regress/Makefile             |   4 ++--
 pkgtools/pkg_regress/files/pkg_regress.sh |  28 +++++++++++++++++++---------
 2 files changed, 21 insertions(+), 11 deletions(-)

diffs (63 lines):

diff -r 365a273b57fa -r 6f42b1fa2f96 pkgtools/pkg_regress/Makefile
--- a/pkgtools/pkg_regress/Makefile     Sat May 07 15:43:08 2005 +0000
+++ b/pkgtools/pkg_regress/Makefile     Sat May 07 15:45:59 2005 +0000
@@ -1,6 +1,6 @@
-# $NetBSD: Makefile,v 1.2 2004/10/07 02:01:38 jlam Exp $
+# $NetBSD: Makefile,v 1.3 2005/05/07 15:45:59 gavan Exp $
 
-DISTNAME=      pkg_regress-0.0
+DISTNAME=      pkg_regress-0.1
 CATEGORIES=    pkgtools
 MASTER_SITES=  # empty
 DISTFILES=     # empty
diff -r 365a273b57fa -r 6f42b1fa2f96 pkgtools/pkg_regress/files/pkg_regress.sh
--- a/pkgtools/pkg_regress/files/pkg_regress.sh Sat May 07 15:43:08 2005 +0000
+++ b/pkgtools/pkg_regress/files/pkg_regress.sh Sat May 07 15:45:59 2005 +0000
@@ -1,6 +1,6 @@
 #!@SH@ -e
 #
-# $NetBSD: pkg_regress.sh,v 1.2 2004/10/13 13:42:23 gavan Exp $
+# $NetBSD: pkg_regress.sh,v 1.3 2005/05/07 15:46:00 gavan Exp $
 #
 
 if [ -z "$PKGSRCDIR" ]
@@ -23,6 +23,23 @@
        return
 }
 
+do_test()
+{
+       do_test_default
+}
+
+do_test_default()
+{
+       # Run the test. We use an if statement to ensure that the script
+       # isn't terminated if it is executed with sh -e.
+       if ${TEST_MAKE} ${MAKEARGS_TEST} >${TEST_OUTFILE} 2>&1
+       then
+           TEST_EXITSTATUS=$?
+       else
+           TEST_EXITSTATUS=$?
+       fi
+}
+
 check_result()
 {
        return
@@ -75,14 +92,7 @@
 
        do_setup
 
-       # Run the test. We use an if statement to ensure that the script
-       # isn't terminated if it is executed with sh -e.
-       if ${TEST_MAKE} ${MAKEARGS_TEST} >${TEST_OUTFILE} 2>&1
-       then
-           TEST_EXITSTATUS=$?
-       else
-           TEST_EXITSTATUS=$?
-       fi
+       do_test
 
        check_result
 



Home | Main Index | Thread Index | Old Index